import { AdminRoleDto } from '@modules/admin-authorization/role/dto/admin-role.dto';
import { Prisma } from '@prisma/client';
import { PrismaService } from '@src/infra/prisma/prisma.service';
import { PagedResultDto } from '@moonlightjs/common';
export declare class AdminRoleService {
    protected prisma: PrismaService;
    constructor(prisma: PrismaService);
    findOne(params: Prisma.AdminRoleFindFirstArgs): Promise<AdminRoleDto>;
    findAll(params: Prisma.AdminRoleFindManyArgs): Promise<AdminRoleDto[]>;
    findAllPagination(params: Prisma.AdminRoleFindManyArgs): Promise<PagedResultDto<AdminRoleDto>>;
    create(params: Prisma.AdminRoleCreateArgs): Promise<AdminRoleDto>;
    update(params: Prisma.AdminRoleUpdateArgs): Promise<AdminRoleDto>;
    remove(where: Prisma.AdminRoleWhereUniqueInput): Promise<boolean>;
}
