"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminRoleDto = void 0;
const admin_permission_dto_1 = require("../../permission/dto/admin-permission.dto");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
class AdminRoleDto {
}
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminRoleDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminRoleDto.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminRoleDto.prototype, "code", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminRoleDto.prototype, "description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'boolean', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Boolean)
], AdminRoleDto.prototype, "isSystem", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminRoleDto.prototype, "createdAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminRoleDto.prototype, "updatedAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminRoleDto.prototype, "createdById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminRoleDto.prototype, "updatedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminRoleDto.prototype, "createdByUsername", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminRoleDto.prototype, "updatedByUsername", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: () => admin_permission_dto_1.AdminPermissionDto,
        required: true,
        isArray: true,
    }),
    (0, class_transformer_1.Expose)(),
    (0, class_transformer_1.Type)(() => admin_permission_dto_1.AdminPermissionDto),
    __metadata("design:type", Array)
], AdminRoleDto.prototype, "permissions", void 0);
exports.AdminRoleDto = AdminRoleDto;
//# sourceMappingURL=admin-role.dto.js.map